Bug 199406

Summary: Review Request: vtkdata - Example data file for VTK
Product: [Fedora] Fedora Reporter: Axel Thimm <axel.thimm>
Component: Package ReviewAssignee: Ed Hill <ed>
Status: CLOSED ERRATA QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mgarski, orion
Target Milestone: ---Flags: ed: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 5.0.3-6.fc7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-02 22:43:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 199405    
Bug Blocks:    

Description Axel Thimm 2006-07-19 07:48:42 EDT
Spec URL: http://people.atrpms.net/~athimm/fedorasubmit/vtk/vtkdata.spec
SRPM URL: http://people.atrpms.net/~athimm/fedorasubmit/vtk/vtkdata-5.0.1-3.at.src.rpm
Description: Example data file for VTK

Expected rpmlint output:
W: vtkdata no-documentation
E: vtkdata script-without-shellbang /usr/share/vtkdata-5.0.1/Data/usa.vtk
E: vtkdata wrong-script-end-of-line-encoding /usr/share/vtkdata-5.0.1/Data/usa.vtk
E: vtkdata script-without-shellbang /usr/share/vtkdata-5.0.1/Data/cellsnd.ascii.inp
E: vtkdata script-without-shellbang /usr/share/vtkdata-5.0.1/Data/thio3xx.xyz

rpmlint detects some non-scripts as scripts.
Comment 1 Axel Thimm 2006-07-19 08:26:37 EDT
Spec URL: http://people.atrpms.net/~athimm/fedorasubmit/vtk/vtkdata.spec
SRPM URL:
http://people.atrpms.net/~athimm/fedorasubmit/vtk/vtkdata-5.0.1-4.at.src.rpm

* Wed Jul 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.0.1-4
- Fix some permissions.

See bug 199405 comment 1, rpmlint is much cleaner now.
Comment 2 Ralf Corsepius 2006-07-19 11:54:44 EDT
2 issues:

- Your buildroot.

- Why are you installing to %{_datadir}/%{name}-%{version} instead of
%{_datadir}/vtk or %{_datadir}/vtkdata?
Comment 3 Axel Thimm 2006-07-20 04:38:47 EDT
One of recent features of vtk was to allow for several concurrent vtkdata
installs  due to user demand and be able to switch back and forth.

I don't intend to ever have a second package coinstall a different data set, but
if the user wants to do so, I'd like to avoid any conflicts and be verbose on
filesytem level about what is actually on the system.
Comment 4 Ralf Corsepius 2006-07-20 04:50:28 EDT
(In reply to comment #3)
> One of recent features of vtk was to allow for several concurrent vtkdata
> installs  due to user demand and be able to switch back and forth.
A versioned data dir would be useful if there is a strong dependency between
application and application data, and if the application is supposed to be
installed in parallel. 

But I don't see how this applies here.

> I don't intend to ever have a second package coinstall a different data set, but
> if the user wants to do so, I'd like to avoid any conflicts and be verbose on
> filesytem level about what is actually on the system.

I regret having to say this, but I refuse to approve this package in its current
shape.
Comment 5 Axel Thimm 2006-07-20 06:56:26 EDT
> (In reply to comment #3)
> > One of recent features of vtk was to allow for several concurrent vtkdata
> > installs  due to user demand and be able to switch back and forth.
> A versioned data dir would be useful if there is a strong dependency between
> application and application data, and if the application is supposed to be
> installed in parallel. 
> 
> But I don't see how this applies here.

How strongly the application and its data are tied varies in vtk's past.
Currently it is quite high, as both got a simultaneous minor release.

(In reply to comment #4)
> > I don't intend to ever have a second package coinstall a different data set, 
> > but if the user wants to do so, I'd like to avoid any conflicts and be
> > verbose on filesytem level about what is actually on the system.
> 
> I regret having to say this, but I refuse to approve this package in its
> current shape.

Now I'm going to break out in tears ;)

Ignoring actual user demand which is acknowledged by upstream development and
even implemneted isn't really constructive.
Comment 6 Ralf Corsepius 2006-07-20 07:22:15 EDT
(In reply to comment #5)
> > (In reply to comment #3)
> How strongly the application and its data are tied varies in vtk's past.
> Currently it is quite high, as both got a simultaneous minor release.
Either data files are subpackages of an application, then they should go to
below an application owned directory (data as internal implementation detail)
or they are independent of the application, then they should go to outside of
the applications directories.

If they require a certain API, such data should go to API versioned directories.

In none of these cases parallel installation of data files makes any sense.

Also, upstream ships its data in an unversioned directory, which I read as a
strong indication of them not wanting a versioned directory.

> Ignoring actual user demand which is acknowledged by upstream development and
> even implemneted isn't really constructive.
1. Show us an URL were upstream explicitly says so. I searched their web site
and could not find any such statement.
2. User demand? Whose?
Comment 8 Axel Thimm 2007-04-22 09:55:35 EDT
http://dl.atrpms.net/all/vtkdata-5.0.3-6.at.src.rpm
http://dl.atrpms.net/all/vtkdata.spec

* Sun Apr 15 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.0.3-6
- Update to 5.0.3.
Comment 9 Ed Hill 2007-05-28 22:23:17 EDT
GOOD:
+ spec is simple, legible, follows naming guidelines, etc.
+ rpmlint reports only a few ignore-able warnings:
    W: vtkdata no-%prep-section
    W: vtkdata no-%build-section
    W: vtkdata no-documentation
+ builds in mock on FC6 x86_64
+ permissions and dir ownership looks good to me
+ license matches that of VTK -- good

NEEDSWORK:
+ the srpm in comment #8 seems to be a broken link so I could not
  verify that source matches upstream -- but I do not consider 
  that to be a blocker as I was able to build a working package 
  from the spec file (which was not a broken link)

In regards to comment #6, I don't think it matters whether the      
directory is versioned or not.  If Axel would like to version it
then I think that's OK -- I just don't see how it voilates any of 
the guidelines or does any real harm.

APPROVED.
Comment 10 Kevin Fenzi 2007-06-01 02:05:36 EDT
Hey Ed. According to the current review procedures the fedora-review flag should
be set to + to approve. Can you go ahead and set that?
Comment 11 Ed Hill 2007-06-01 09:38:37 EDT
Ooops!  Thank you for pointing that out.  :-)
Comment 12 Axel Thimm 2007-06-03 03:11:08 EDT
Thanks, Ed!

New Package CVS Request
=======================
Package Name: vtkdata
Short Description: Example data file for VTK
Owners: Axel.Thimm@ATrpms.net
Branches: F-7 FC-6 FC-5
Comment 13 Kevin Fenzi 2007-06-03 14:38:18 EDT
cvs done.
Comment 14 Fedora Update System 2007-08-01 23:40:34 EDT
vtkdata-5.0.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Axel Thimm 2007-08-02 06:24:14 EDT
The only thing I don't really like is the disttag in the name. Even though I'm a
disttag fan this package is distro-agnostic and should be used w/o rebuilding on
any other distro.

But that isn't reason enough to rebuild this package and repush it, I'll just
drop the disttag on the next update.

(FWIW I forgot to remove the disttag, as the disttag is used at ATrpms to denote
repotag&disttag and is set to only have a repotag in this case)

Thanks Ed for reviewing and Kevin for cvs work :)
Comment 16 Fedora Update System 2007-08-02 22:43:50 EDT
vtkdata-5.0.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Orion Poplawski 2012-06-15 22:04:42 EDT
Package Change Request
======================
Package Name: vtkdata
New Branches: el6
Owners: orion
InitialCC:
Comment 18 Jon Ciesla 2012-06-16 11:39:21 EDT
Git done (by process-git-requests).